<?php

class Gig_Profile_Widget extends WP_Widget {

	// Main constructor
	public function __construct() {
		parent::__construct(
			'gig_promotion_widget',
			__( 'Gig profile', 'five-r-gig' ),
			array(
				'customize_selective_refresh' => true,
			)
		);
	}

	// The widget form (for the backend )
	public function form( $instance ) {	
		// Set widget defaults
		$defaults = array(
			'title'    => '',
			'text'     => '',
			'fiverr_link' => '',
			'checkbox' => '',
			'select'   => '',
		);

	// Parse current settings with defaults
		extract( wp_parse_args( ( array ) $instance, $defaults ) ); ?>

		<?php // Widget Title ?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Widget Title', 'five-r-gig' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>

		<?php // Dropdown ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'select' ); ?>"><?php _e( 'Select Style', 'five-r-gig' ); ?></label>
			<select name="<?php echo $this->get_field_name( 'select' ); ?>" id="<?php echo $this->get_field_id( 'select' ); ?>" class="widefat">
				<?php
		// Your options array
				$options = array(
					// ''        => __( 'Select Style', 'five-r-gig' ),
					'option_1' => __( 'Style 1', 'five-r-gig' ),
					'option_2' => __( 'Style 2', 'five-r-gig' ),
					'option_3' => __( 'Style 3', 'five-r-gig' ),
					'option_4' => __( 'Style 4', 'five-r-gig' ),
					'option_5' => __( 'Style 5', 'five-r-gig' ),
				);

		// Loop through options and add each one to the select dropdown
				foreach ( $options as $key => $name ) {
					echo '<option value="' . esc_attr( $key ) . '" id="' . esc_attr( $key ) . '" '. selected( $select, $key, false ) . '>'. $name . '</option>';

				} ?>
			</select>
		</p>
		<?php // Widget Pro image ?>
		<p>
			<label for="<?= $this->get_field_id( 'pro_image_uri' ); ?>">Profile image</label>
			<img class="<?= $this->id ?>_img" src="<?= (!empty($instance['pro_image_uri'])) ? $instance['pro_image_uri'] : ''; ?>" style="margin:0;padding:0;max-width:100%;max-height:100px;display:block"/>
			<input type="text" class="widefat <?= $this->id ?>_url" name="<?= $this->get_field_name( 'pro_image_uri' ); ?>" value="<?= $instance['pro_image_uri']; ?>" style="margin-top:5px;" />
			<input type="button" id="<?= $this->id ?>" class="button button-primary js_custom_upload_media" value="Upload Image" style="margin-top:5px;" />
		</p>

		<?php // Text Field ?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'text' ) ); ?>"><?php _e( 'Fiverr Name:', 'five-r-gig' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'text' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'text' ) ); ?>" type="text" value="<?php echo esc_attr( $text ); ?>" />
		</p>

		<?php // Gig name ?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'gig_name' ) ); ?>"><?php _e( 'I will:', 'five-r-gig' ); ?></label>
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'gig_name' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'gig_name' ) ); ?>" type="text" value="<?php echo esc_attr( $gig_name ); ?>" />
		</p>


		<?php // Textarea Field ?>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'fiverr_link' ) ); ?>"><?php _e( 'Fiverr Link:', 'five-r-gig' ); ?></label>
			<textarea class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'fiverr_link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'fiverr_link' ) ); ?>"><?php echo wp_kses_post( $fiverr_link ); ?></textarea>
		</p>

		<?php // Checkbox ?>
		<!-- <p>
			<input id="<?php echo esc_attr( $this->get_field_id( 'checkbox' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'checkbox' ) ); ?>" type="checkbox" value="1" <?php checked( '1', $checkbox ); ?> />
			<label for="<?php echo esc_attr( $this->get_field_id( 'checkbox' ) ); ?>"><?php _e( 'If your ', 'five-r-gig' ); ?></label>
		</p> -->





		<?php 
	}

	// Update widget settings
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title']    = isset( $new_instance['title'] ) ? wp_strip_all_tags( $new_instance['title'] ) : '';
		$instance['text']     = isset( $new_instance['text'] ) ? wp_strip_all_tags( $new_instance['text'] ) : '';
		$instance['gig_name']     = isset( $new_instance['gig_name'] ) ? wp_strip_all_tags( $new_instance['gig_name'] ) : '';
		$instance['fiverr_link'] = isset( $new_instance['fiverr_link'] ) ? wp_kses_post( $new_instance['fiverr_link'] ) : '';
		// $instance['checkbox'] = isset( $new_instance['checkbox'] ) ? 1 : false;
		$instance['select']   = isset( $new_instance['select'] ) ? wp_strip_all_tags( $new_instance['select'] ) : '';
		$instance['pro_image_uri'] = isset($new_instance['pro_image_uri']) ? wp_strip_all_tags( $new_instance['pro_image_uri'] ) : '';
		return $instance;
	}

	// Display the widget
	public function widget( $args, $instance ) {
		extract( $args );

		$options = get_option('five_r_gig_display_options');
		$title    = isset( $instance['title'] ) ? apply_filters( 'widget_title', $instance['title'] ) : '';
		$text     = isset( $instance['text'] ) ? $instance['text'] : '';
		$gig_name     = isset( $instance['gig_name'] ) ? $instance['gig_name'] : '';
		$fiverr_link = isset( $instance['fiverr_link'] ) ?$instance['fiverr_link'] : '';
		$select   = isset( $instance['select'] ) ? $instance['select'] : '';
		// $checkbox = ! empty( $instance['checkbox'] ) ? $instance['checkbox'] : false;
		$profile = isset( $instance['pro_image_uri'] ) ?$instance['pro_image_uri'] : '';

		echo $before_widget;

		// var_dump($options['facebook']);

		if ($select == 'option_1') {
			?>
			<style>
				
			</style>
			<div class="frg-style-1">
				<section class="frg-grid-container">
					<div class="grid-x align-center">
						<div class="frg-card ">
							<header>
								<img src="<?php echo plugin_dir_url( __FILE__ ).'images/style-1.png'; ?>" class="frg-header-img" />

								<div class="frg-avatar">
									<img src="<?php echo $profile ?>" alt="" class="frg-header-img" />
								</div>
							</header>

							<div class="frg-card-section">
								<h4 class="frg-username"><?= $text ?></h4>
								<p class="gig-name">I'll <?= $gig_name  ?> </p>
								<a href="<?= $fiverr_link ?>" target="_blank" class="btn-fiverr">Hire me</a>
							</div>

							<footer>
								<ul>
									<?php if ($options['facebook'] != null): ?>
										<li><a href="<?= $options['facebook'] ?>" target="_blank"><i class="fab fa-facebook"></i></a></li>
									<?php endif ?>
									<?php if ($options['twitter'] != null): ?>
										<li><a href="<?= $options['twitter'] ?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
									<?php endif ?>
									<?php if ($options['instagram'] != null): ?>
										<li><a href="<?= $options['instagram'] ?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
									<?php endif ?>
									<?php if ($options['linkedin'] != null): ?>
										<li><a href="<?= $options['linkedin'] ?>" target="_blank"><i class="fab fa-linkedin"></i></a></li>
									<?php endif ?>
								</ul>
							</footer>
						</div>
					</div>
				</section>
			</div>
			<?php
		} elseif($select == 'option_2'){
			?>
			<style>

			</style>
			<div class="frg-style-2">
				<div class="frg-profile-cart">
					<div class="frg-profile"><img src="<?php echo $profile ?>" alt=""></div>
					<h1 class=""><?= $text ?></h1>
					<p class="gig-name">I'll <?= $gig_name  ?> </p>
					<p class="frg-button"><a href="<?= $fiverr_link ?>" target="_blank" class="btn-fiverr">Hire me</a></p>
					<div class="frg-social-area">
						<?php if ($options['facebook'] != null): ?>
							<a href="<?= $options['facebook'] ?>" target="_blank"><i class="fab fa-facebook"></i></a>
						<?php endif ?>
						<?php if ($options['twitter'] != null): ?>
							<a href="<?= $options['twitter'] ?>" target="_blank"><i class="fab fa-twitter"></i></a>
						<?php endif ?>
						<?php if ($options['instagram'] != null): ?>
							<a href="<?= $options['instagram'] ?>" target="_blank"><i class="fab fa-instagram"></i></a>
						<?php endif ?>
						<?php if ($options['linkedin'] != null): ?>
							<a href="<?= $options['linkedin'] ?>" target="_blank"><i class="fab fa-linkedin"></i></a>
						<?php endif ?>
					</div>
				</div>
			</div>
			<?php
		}elseif($select == 'option_3'){
			?>
			<div class="frg-style-3">
				<div class="card-wrapper">
					<div class="card">
						<?php //var_dump(plugin_dir_url( __FILE__ ).'images/style-3.jpg') ?>
						<img src="<?php echo plugin_dir_url( __FILE__ ).'images/style-3.jpg'; ?>" alt="Card Background" class="card-img">
						<img src="<?php echo $profile ?>" alt="Gideon" class="profile-img">
						<h1 class="gideon"><?= $text ?></h1>
						<p class="gig-name">I'll <?= $gig_name  ?> </p>
						<a href="<?= $fiverr_link ?>" target="_blank" class="btn">Hire me</a>
						<ul class="social-media">
							<?php if ($options['facebook'] != null ): ?>
								<li><a href="<?= $options['facebook'] ?>"><i class="fab fa-facebook"></i></a></li>
							<?php endif ?>
							<?php if ($options['twitter'] != null): ?>
								<li><a href="<?= $options['twitter'] ?>"><i class="fab fa-twitter"></i></a></li>
							<?php endif ?>
							<?php if ($options['instagram'] != null): ?>
								<li><a href="<?= $options['instagram'] ?>"><i class="fab fa-instagram"></i></a></li>
							<?php endif ?>
							<?php if ($options['linkedin'] != null): ?>
								<li><a href="<?= $options['linkedin'] ?>"><i class="fab fa-linkedin"></i></a></li>
							<?php endif ?>
						</ul>
					</div>
				</div>
			</div>
			<?php
		}elseif($select =='option_4'){
			?>
			<style>
				.frg-style-4 .image {background-image: url(<?php echo $profile ?>);}
			</style>
			<div class="frg-style-4">
				<div class="main">
					<div class="image"></div>

					<div class=card>
						<h1><?= $text ?></h1>
						<p class="gig-name">I'll <?= $gig_name  ?> </p>
						<a href="<?= $fiverr_link ?>" target="_blank" class="frg-button">Hire me</a>

						<div class="icon">
							<?php if ($options['facebook'] != null): ?>
								<a href="<?= $options['facebook'] ?>" target="_blank"><i class="fab fa-facebook"></i></a>
							<?php endif ?>
							<?php if ($options['twitter'] != null): ?>
								<a href="<?= $options['twitter'] ?>" target="_blank"><i class="fab fa-twitter"></i></a>
							<?php endif ?>
							<?php if ($options['instagram'] != null): ?>
								<a href="<?= $options['instagram'] ?>" target="_blank"><i class="fab fa-instagram"></i></a>
							<?php endif ?>
							<?php if ($options['linkedin'] != null): ?>
								<a href="<?= $options['linkedin'] ?>" target="_blank"><i class="fab fa-linkedin"></i></a>
							<?php endif ?>
						</div>
					</div>
				</div>
			</div>
			<?php
		}elseif($select =='option_5'){
			?>
			<style>
				.frg-cover-photo{
					background-image: url(<?php echo plugin_dir_url( __FILE__ ).'images/style-3.jpg'; ?>);
				}
			</style>
			<div class="frg-style-5">
				<div class="frg-container">
					<div class="frg-cover-photo">
						<img src="<?php echo $profile ?>" class="frg-profile">
					</div>
					<div class="frg-profile-name"><?= $text ?></div>
					<p class="frg-about">I'll <?= $gig_name  ?> </p>
					<a href="<?= $fiverr_link ?>" target="_blank" class="frg-msg-btn">Hire me</a>
					<div class="frg-icon">
						<?php if ($options['facebook'] != null): ?>
							<a class="fa-icon" href="<?= $options['facebook'] ?>" target="_blank"><i class="fab fa-facebook"></i></a>
						<?php endif ?>
						<?php if ($options['twitter'] != null): ?>
							<a class="fa-icon" href="<?= $options['twitter'] ?>" target="_blank"><i class="fab fa-twitter"></i></a>
						<?php endif ?>
						<?php if ($options['instagram'] != null): ?>
							<a class="fa-icon" href="<?= $options['instagram'] ?>" target="_blank"><i class="fab fa-instagram"></i></a>
						<?php endif ?>
						<?php if ($options['linkedin'] != null): ?>
							<a class="fa-icon" href="<?= $options['linkedin'] ?>" target="_blank"><i class="fab fa-linkedin"></i></a>
						<?php endif ?>
					</div>
				</div>
			</div>
			<?php
		}else{

		}
		// var_dump($select);
   // Display the widget
		// echo '<div class="widget-text wp_widget_plugin_box">';

		// // Display widget title if defined
		// if ( $title ) {
		// 	echo $before_title . $title . $after_title;
		// }

		// // Display text field
		// if ( $text ) {
		// 	echo '<p>' . $text . '</p>';
		// }

		// // Display textarea field
		// if ( $textarea ) {
		// 	echo '<p>' . $textarea . '</p>';
		// }

		// // Display select field
		// if ( $select ) {
		// 	echo '<p>' . $select . '</p>';
		// }

		// // Display something if checkbox is true
		// if ( $checkbox ) {
		// 	echo '<p>Something awesome</p>';
		// }

		// echo '</div>';

	// WordPress core after_widget hook (always include )
		echo $after_widget;
	}

	function gig_promotion_fonts(){
		echo  wp_enqueue_style(  'poppins', 'https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap', array(), '0.0.1' , 'all' );
	}
// Register the widget
	function gig_promotion_register_widget() {
		register_widget( 'Gig_Profile_Widget' );
	}
}


