(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-specific JavaScript source
	 * should reside in this file.
	 *
	 * Note that this assume you're going to use jQuery, so it prepares
	 * the $ function reference to be used within the scope of this
	 * function.
	 *
	 * From here, you're able to define handlers for when the DOM is
	 * ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * Or when the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and so on.
	 *
	 * Remember that ideally, we should not attach any more than a single DOM-ready or window-load handler
	 * for any particular page. Though other scripts in WordPress core, other plugins, and other themes may
	 * be doing this, we should try to minimize doing that in our own work.
	 */
	 jQuery(document).ready(function ($) {
	 	function media_upload(button_selector) {
	 		var _custom_media = true,
	 		_orig_send_attachment = wp.media.editor.send.attachment;
	 		$('body').on('click', button_selector, function () {
	 			var button_id = $(this).attr('id');
	 			wp.media.editor.send.attachment = function (props, attachment) {
	 				if (_custom_media) {
	 					$('.' + button_id + '_img').attr('src', attachment.url);
	 					$('.' + button_id + '_url').val(attachment.url);
	 				} else {
	 					return _orig_send_attachment.apply($('#' + button_id), [props, attachment]);
	 				}
	 			}
	 			wp.media.editor.open($('#' + button_id));
	 			return false;
	 		});
	 	}
	 	media_upload('.js_custom_upload_media');
	 });
	})( jQuery );
